package com.lz.modules.flow.dao;
/**
* <p>
* 变动记录表 服务类
* </p>
*
* @author quyixiao
* @since 2020-10-13
*/
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.lz.modules.flow.entity.FlowChange;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
@Mapper
public interface FlowChangeMapper extends BaseMapper<FlowChange> {


	FlowChange selectFlowChangeById(@Param("id")Long id);


	Long insertFlowChange(FlowChange flowChange);


	int updateFlowChangeById(FlowChange flowChange);


	int updateCoverFlowChangeById(FlowChange flowChange);


	int deleteFlowChangeById(@Param("id")Long id);


    FlowChange selectFlowChangeByRecordIdAndToIdAndType(@Param("recordId") Long recordId, @Param("toStaffId") Long toStaffId, @Param("type") int type);

    FlowChange selectFlowChangeByFlowRecordIdAndType(@Param("flowRecordId") Long flowRecordId, @Param("type") int type);
}